Bug 56148 - ncftp fail to connect to IPv4 + IPv6 hosts from IPv4 hosts
ncftp fail to connect to IPv4 + IPv6 hosts from IPv4 hosts
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ncftp (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-13 07:56 EST by Per Steinar Iversen
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-13 07:56:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Per Steinar Iversen 2001-11-13 07:56:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
ncftp can not connect to a host supporting both IPv4 and IPv6
if the connecting host only supports IPv4. ncftp then fails with:

Could not get a socket: Address family not supported by protocol.
Could not open host <hostname>: could not get a new stream socket.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Setup ftp host that supports both IPv4 and IPv6
2.Add both A and AAAA records in DNS for the ftp host.
3.Try to connect with ncftp
	

Actual Results:  No connection created.

Expected Results:  Norman ftp connected.

Additional info:

It is possible to use the ftp command supplied with RH 7.2, it does not
have this problem, but is not as nice as ncftp.
Comment 1 Bernhard Rosenkraenzer 2001-11-20 12:23:15 EST
Fixed in 3.0.4-2
Comment 2 Yusuf Goolamabbas 2002-01-28 08:59:46 EST
Bero, Can this be pushed out as an errata
Comment 3 Pekka Savola 2002-03-13 07:50:20 EST
I'm not personally sure if that's warranted.. there are only few ftp servers
with both addresses in
the same name.

Note You need to log in before you can comment on or make changes to this bug.